Bug 1688792 - Review Request: python-astor - Read/rewrite/write Python ASTs
Summary: Review Request: python-astor - Read/rewrite/write Python ASTs
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2019-03-14 13:08 UTC by ruslan
Modified: 2020-05-26 14:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 14:44:37 UTC
Type: Bug
quantum.analyst: fedora-review?


Attachments (Terms of Use)

Comment 1 Elliott Sales de Andrade 2019-03-15 07:32:59 UTC
Please remove the Python 2 subpackage.

Comment 3 Elliott Sales de Andrade 2019-03-16 08:43:47 UTC
- The correct license identifier is BSD:
  https://fedoraproject.org/wiki/Licensing:Main#Software_License_List
- For a source from PyPI, you can replace the whole tarball URL with
  %pypi_source
- The %description for the main package is clean, but for the python3-
  subpackage is broken. As it's rather long, you can use
  %global _description %{expand: ...} to reduce duplication. A few lines are a
  bit long though.
- Tests appear to be in the tarball; you should run them in %check.
- Some files contain an incorrect shebang line, but are not executable. I'm not
  sure this file needs to be run, but the shebang should either be dropped, or
  fixed and the file made executable.
  https://docs.fedoraproject.org/en-US/packaging-guidelines/#_shebang_lines


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "*No copyright* BSD
     3-clause "New" or "Revised" License", "Unknown or generated". 23 files
     have unknown license. Detailed output of licensecheck in
     1688792-python-astor/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-astor-0.7.1-2.fc30.noarch.rpm
          python-astor-0.7.1-2.fc30.src.rpm
python3-astor.noarch: W: spelling-error %description -l en_US PyPI -> Typify
python3-astor.noarch: W: spelling-error %description -l en_US linenumbers -> line numbers, line-numbers, Berliners
python3-astor.noarch: W: spelling-error %description -l en_US ctx -> ct, ctn, ctr
python3-astor.noarch: W: invalid-license BSD-3-Clause
python3-astor.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/astor/rtrip.py /usr/bin/env python
python3-astor.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/astor/rtrip.py 644 /usr/bin/env python
python-astor.src: W: spelling-error %description -l en_US linenumbers -> line numbers, line-numbers, Berliners
python-astor.src: W: spelling-error %description -l en_US ctx -> ct, ctn, ctr
python-astor.src: W: spelling-error %description -l en_US compileable -> compile able, compile-able, comparable
python-astor.src: W: spelling-error %description -l en_US rtrip -> trip, strip, r trip
python-astor.src: W: spelling-error %description -l en_US treewalk -> tree walk, tree-walk, streetwalker
python-astor.src: E: description-line-too-long C There are some other similar libraries, but astor focuses on the following areas:
python-astor.src: E: description-line-too-long C   - Write functions to access the tree based on object names and/or attribute names
python-astor.src: W: invalid-license BSD-3-Clause
2 packages and 0 specfiles checked; 4 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "en_CA.utf8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
sh: /usr/bin/python: No such file or directory
python3-astor.noarch: W: spelling-error %description -l en_US PyPI -> Typify
python3-astor.noarch: W: spelling-error %description -l en_US linenumbers -> line numbers, line-numbers, encumbers
python3-astor.noarch: W: spelling-error %description -l en_US ctx -> ct, ctn, ctr
python3-astor.noarch: W: invalid-license BSD-3-Clause
python3-astor.noarch: W: invalid-url URL: https://github.com/berkerpeksag/astor <urlopen error [Errno -2] Name or service not known>
python3-astor.noarch: E: wrong-script-interpreter /usr/lib/python3.7/site-packages/astor/rtrip.py /usr/bin/env python
python3-astor.noarch: E: non-executable-script /usr/lib/python3.7/site-packages/astor/rtrip.py 644 /usr/bin/env python
1 packages and 0 specfiles checked; 2 errors, 5 warnings.



Requires
--------
python3-astor (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-astor:
    python3-astor
    python3.7dist(astor)
    python3dist(astor)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/a/astor/astor-0.7.1.tar.gz :
  CHECKSUM(SHA256) this package     : 95c30d87a6c2cf89aa628b87398466840f0ad8652f88eb173125a6df8533fb8d
  CHECKSUM(SHA256) upstream package : 95c30d87a6c2cf89aa628b87398466840f0ad8652f88eb173125a6df8533fb8d


Generated by fedora-review 0.6.1 (29df316) last change: 2019-03-10
Command line :/home/elliott/code/FedoraReview/try-fedora-review -m fedora-rawhide-x86_64 -b 1688792
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, BATCH, EPEL7, EPEL6

Comment 4 Ben Cotton 2020-04-30 22:15:22 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-05-26 14:44:37 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.